# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   study_python
# FileName:      read_json.py
# Author:       xxxxxxx
# Datetime:     2024/9/7 9:55
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import json

from ApiAutoTese_3 import log
from ApiAutoTese_3.common.read_user_ini import Read_User_Ini


def read_json(file_path):
    if isinstance(file_path,str):
        if file_path.endswith('.json'):
            try:
                with open(file_path,mode='r',encoding='utf-8') as f:
                    return json.load(f)
            except Exception as e:
                log.error(f'方法read_json读取json文件失败，文件路径为{file_path}，错误为{e}')
                raise e
        else:
            log.error(f'方法read_json传入的文件不是json文件，传入的路径为{file_path}')
            raise ValueError
    else:
        log.error(f'方法read_json传入的路径不是字符串，传入的路径为{file_path}')
        raise TypeError

