# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   study_python
# FileName:      read_project_ini.py
# Author:       xxxxxxx
# Datetime:     2024/9/7 9:28
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import configparser
import os

from ApiAutoTese_3 import log


class Read_Project_Ini:
    def __init__(self):
        ini_path = os.path.join(os.path.join(os.path.dirname(os.path.dirname(__file__)),'data_config'),'project_config.ini')
        self.ini = configparser.ConfigParser()
        self.ini.read(ini_path,encoding='utf-8')

    def get_host(self,key):
        try:
            return self.ini.get("host",key)
        except Exception as e:
            log.error(f'方式get_host获取域名失败，传入的key为{key}，错误为{e}')
            raise e

    def get_sql_conf(self,key):
        try:
            return self.ini.get('sql',key)
        except Exception as e:
            log.error(f'方法gen_sql_conf获取数据库连接信息失败，传入的ken为{key}，错误为{e}')
            raise e






if __name__ == '__main__':
    ini = Read_Project_Ini()
    print(ini.get_host('bpm_host'))