# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   study_python
# FileName:      read_user_ini.py
# Author:       xxxxxxx
# Datetime:     2024/9/7 9:41
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import configparser
import os

from ApiAutoTese_3 import log


class Read_User_Ini:
    def __init__(self,username):
        ini_dir = os.path.join(os.path.dirname(os.path.dirname(__file__)),'data_config')
        self.user_dir = os.path.join(ini_dir,username)
        ini_path = os.path.join(self.user_dir,'config.ini')
        self.ini = configparser.ConfigParser()
        self.ini.read(ini_path,encoding='utf-8')

    def get_file_path(self,key):
        try:
            file_name = self.ini.get('file',key)
        except Exception as e:
            log.error(f'方法get_file_path获取路径失败，传入key为{key}，错误为{e}')
            raise e
        else:
            return os.path.join(self.user_dir,file_name)

    def get_table_name(self,key):
        try:
            return self.ini.get('table',key)
        except Exception as e:
            log.error(f'方法get_table_name获取工作表失败，传入的key为{key}，错误为{e}')
            raise e

if __name__ == '__main__':
    ini = Read_User_Ini('demo')
    print(ini.get_file_path('sql'))