# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   study_python
# FileName:      test_bpm.py
# Author:       xxxxxxx
# Datetime:     2024/9/7 11:10
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
from ApiAutoTese_3 import log
from ApiAutoTese_3.common.read_excel import Read_excel

from ApiAutoTese_3.test_case.test_demo import user
import pytest
import allure


excel = Read_excel(user)

class Test_bpm:
    @allure.epic("BPM项目-Demo")
    @pytest.mark.parametrize('module,api,url,method,mime,case_data,expect_data,sql_typ,sql_data,updata_key,case_title,case_level',excel.get_data())
    def test_bpm(self,fix_db,fix_req,module,api,url,method,mime,case_data,expect_data,sql_typ,sql_data,updata_key,case_title,case_level):
         allure.dynamic.feature(module)
         allure.dynamic.story(api)
         allure.dynamic.title(case_title)
         allure.dynamic.severity(case_level)

         if sql_typ == 'delete':
             fix_db.delete(sql_data['delete'])
         elif sql_typ == 'select':
             res = fix_db.select(sql_data['select'])
             case_data[updata_key] = res
         elif sql_typ == 'delete|select' or sql_typ == 'selecy|delete':
             res = fix_db.select(sql_data['select'])
             case_data[updata_key] = res
             fix_db.delete(sql_data['delete'])

         res = fix_req.request_all(method,url,mime,case_data)

         try:
             for key in expect_data:
                 assert expect_data[key] == res.json().get(key)
         except AssertionError:
             log.error(
                 f"断言失败，标题为{case_title},用例等级为{case_level},接口url为:{url}, 用例数据:{case_data}, 期望数据:{expect_data}, 服务器返回数据:{res.text},测试员为{user}")
             raise AssertionError("断言失败")
         else:
             log.info(
                 f"断言成功，标题为{case_title},用例等级为{case_level},接口url为:{url}, 用例数据:{case_data}, 期望数据:{expect_data}, 服务器返回数据:{res.text},测试员为{user}")



